ru.bitel.bgbilling.modules.smarthouse.common.service

## Interface ForpostCameraService

-     public interface ForpostCameraService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addForpostCamera(int contractId, ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCamera forpostCamera)`
    `void` | `deleteForpostAccountCameras(int accountId)`
    `void` | `deleteForpostCamera(int id)`
    `void` | `doSync()`
    `void` | `doSyncForpostCameras(int accountId)`
    `ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCamera` | `getDefaultForpostCamera()`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCamera>` | `searchForpostAccountCameras(int accountId)`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostTMCAO<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCamera>>` | `searchForpostCameras(ru.bitel.bgbilling.common.model.KeyValue filter, java.lang.String[] sort, Page page)`
    `void` | `updateForpostCamera(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCamera forpostCamera)`
    `void` | `updateForpostCameraParam(int forpostCameraId, java.lang.String name, java.lang.String value)`

- - ### Method Detail

    - #### searchForpostCameras

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostTMCAO<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCamera>> searchForpostCameras(ru.bitel.bgbilling.common.model.KeyValue filter,
                                                                                                                                                                                             java.lang.String[] sort,
                                                                                                                                                                                             Page page)
                                                                                                                                                                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchForpostAccountCameras

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCamera> searchForpostAccountCameras(int accountId)
                                                                                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doSync

          void doSync()
               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doSyncForpostCameras

          void doSyncForpostCameras(int accountId)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getDefaultForpostCamera

          ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCamera getDefaultForpostCamera()
                                                                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addForpostCamera

          int addForpostCamera(int contractId,
                               ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCamera forpostCamera)
                        throws ru.bitel.bgbilling.common.BGException,
                               ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### updateForpostCamera

          void updateForpostCamera(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCamera forpostCamera)
                            throws ru.bitel.bgbilling.common.BGException,
                                   ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### updateForpostCameraParam

          void updateForpostCameraParam(int forpostCameraId,
                                        java.lang.String name,
                                        java.lang.String value)
                                 throws ru.bitel.bgbilling.common.BGException,
                                        ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### deleteForpostCamera

          void deleteForpostCamera(int id)
                            throws ru.bitel.bgbilling.common.BGException,
                                   ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### deleteForpostAccountCameras

          void deleteForpostAccountCameras(int accountId)
                                    throws ru.bitel.bgbilling.common.BGException,
                                           ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`